﻿@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');

:root {
    --primary_color: white;
    --primary_text_color: black;
    --secondary_color: white;
    --secondary_text_color: black;
    --navigation_menu_background: white;
    --navigation_menu_text: black;
    --navigation_menu_item_selected: white;
    --navigation_menu_item_selected_text: white;
    --collection_background: white;
    --collection_text: black;
    --collection_item_selected: transparent;
    --collection_item_hover: white;
    --collection_item_hover_text: white;
    --pager_background: white;
    --pager_text_color: black;
    --pager_hover_text: black;
    --pager_hover_background: white;
    --tab_control_background: white;
    --tab_control_text: black;
    --status_bar_height: 44px;
    --status_bar_background: white;
    --status_bar_text: white;
    --search_operator_text: black;
    --search_operator_background: white;
    --checkbox_background: grey;
    --progress_bar_background_color: black;
    /* ICON COLOR */
    --icon_primary_color: #4b546a;
    --icon_primary_opacity: 1;
    --icon_secondary_color: #4b546a;
    --icon_secondary_opacity: 0.4;
    /* GROUPBOX */
    --groupbox_root_legend: #e5007d;
    --groupbox_root_border: #002c53d1;
    --groupbox_inner_background: transparent;
    --groupbox_inner_border: #ebebeb;
    --font: 'Helvetica Neue', Helvetica, Arial, sans-serif;
    /* INPUT */
    --input_background: #fff;
    --input_text: #3d3d3d;
    --input_border_color: rgba(0, 0, 0, 0.08);
    /* BUTTON */
    --button_background: #f5f5f5; /*#343a40;*/
    --button_text_color: inherit; /*#ced4da;*/
    --button_border_color: rgba(0, 0, 0, 0.08); /*#6c757d;*/
    --button_hover_background: #ebebeb; /*#495057;*/
    /**/
    /*--grid_header_background: #fafafa;
    --table_row_background: #3d3d3d;
    --context-menu-background: #3d3d3d;
    --context-menu-background-hover: #ebebeb;
    --context-menu-disabled: #dddddd;
    --form-preview-container-first: rgba(0, 0, 0, 0.04);
    --form-preview-container-second: rgba(0, 0, 0, 0.12);
    --wizard-step-hover: rgba(236, 236, 236);*/
    /*module-setup*/
    /*--k-chip-background: #ebebeb;
    --k-chip-text: #3d3d3d;
    --k-chip_border_color: rgba(0, 0, 0, 0.08);
    --module-details-pane: #f5f6f8;
    --module-details-border: #ddd;
    --action-row-border: #e3e3e3;*/
}

html, body {
    font-family: var(--font);
    margin: 0;
    padding: 0;
    --fa-primary-color: var(--icon_primary_color);
    --fa-secondary-color: var(--icon_secondary_color);
    --fa-primary-opacity: var(--icon_primary_opacity);
    --fa-secondary-opacity: var(--icon_secondary_opacity);
}

.app-container {
    position: absolute;
    right: 0;
    left: 0;
    top: 0;
    bottom: 0;
    display: flex;
    flex-direction: column;
}

ul {
    padding-inline-start: 20px;
}

.content-flex {
    overflow: auto;
    width: 100%;
    height: 100%;
    display: flex;
    flex: 1 0 0;
}


.content-initial {
    display: initial;
    overflow-x: hidden;
    width: 100%;
    height: 100%;
}

.w-100 {
    width: 100% !important;
}

.w-95 {
    width: 95% !important;
}

.h-100 {
    height: 100% !important;
}

.wh-100 {
    width: 100% !important;
    height: 100% !important;
}

.z-index-hidden {
    z-index: -1;
}

.z-index-0 {
    z-index: 0;
}

.z-index-1 {
    z-index: 1;
}

.z-index-2 {
    z-index: 2;
}

.z-index-3 {
    z-index: 3;
}

/* FONT START */
.font {
    font-family: var(--font);
    font-size: 0.75rem;
}

.font-inherit {
    font-size: inherit !important;
}

.uppercase {
    text-transform: uppercase !important;
}

.italic {
    font-style: italic;
}

.ellipsis {
    text-overflow: ellipsis !important;
    overflow: hidden !important;
    white-space: pre !important;
}

.cursor-default {
    cursor: default;
}

.cursor-pointer {
    cursor: pointer;
}

.disabled-events {
    pointer-events: none;
}

/* FONT END */
/* GAP START */
.gap-x-0 {
    column-gap: 0px;
}

.gap-x-1 {
    column-gap: 4px;
}

.gap-x-2 {
    column-gap: 8px;
}

.gap-x-3 {
    column-gap: 12px;
}

.gap-x-4 {
    column-gap: 16px;
}

.gap-x-5 {
    column-gap: 20px;
}

.gap-y-0 {
    row-gap: 0px;
}

.gap-y-1 {
    row-gap: 4px;
}

.gap-y-2 {
    row-gap: 8px;
}

.gap-y-3 {
    row-gap: 12px;
}

.gap-y-4 {
    row-gap: 16px;
}

.gap-y-5 {
    row-gap: 20px;
}

/* GAP END */
.pdf {
    color: #d04d49;
}

.word {
    color: #153c7c;
}

.comment {
    color: #668cff;
}

.version, .txt {
    color: #73be28;
}

.checkout {
    color: #cc9900;
}

.read-only-property-field {
    border: 1px solid rgba(0, 0, 0, 0.08);
    color: #424242;
    background-color: #ffffff;
    padding-left: 8px;
    border-radius: 2px;
    height: 28px !important;
    opacity: 0.6;
    filter: grayscale(0.1);
    pointer-events: none;
    cursor: default;
}

.input-validation {
    border-color: #d9122a !important;
}

.validation-error {
    color: #d9122a;
    margin-top: 2px;
    display: flex;
    font-size: 0.7rem;
    font-style: italic;
}

.btn:focus {
    box-shadow: none;
}

.title-label {
    align-self: self-end;
    white-space: nowrap;
    overflow: hidden;
    display: block;
    text-overflow: ellipsis;
}

.avatar {
    width: 35px;
    height: 35px;
    font-size: 1rem;
    align-self: center;
}

.statusbar-item {
    display: inline-flex;
    align-items: center;
    cursor: pointer;
    height: inherit !important;
}

.settings-menu-item {
    display: flex;
    justify-content: flex-start;
    cursor: pointer;
    padding: 8px;
    padding-left: 20px;
    border-bottom: 1px solid rgba(0, 0, 0, 0.08);
}

.settings-menu-item-icon {
    text-align: center;
    width: 40px;
}

.settings-menu-item-text {
    width: 100%;
    margin-left: 15px;
}

.dropdown-menu {
    border: transparent;
    box-shadow: 0px 5px 6px -3px rgba(0,0,0,0.2),0px 9px 12px 1px rgba(0,0,0,0.14),0px 3px 16px 2px rgba(0,0,0,0.12);
}

.dropdown-item {
    display: flex;
    padding: .25rem .75rem;
    cursor: pointer;
}

input::placeholder {
    color: #666 !important;
    opacity: 0.8 !important;
}

/* BUTTONS START */

.button-wrapper {
    height: fit-content;
}

.button-success, .button-success:hover {
    background-image: none !important;
    background-color: var(--primary_color) !important;
    color: var(--primary_text_color) !important;
}

.button-cancel, .button-cancel:hover {
    background-image: none !important;
    background-color: rgba(208, 77, 73, 0.7) !important;
    color: #f2f2f2 !important;
}

.btn-transparent, .btn-transparent:hover {
    background-image: none !important;
    background-color: transparent !important;
    color: inherit !important;
    border: none !important;
}
    .btn-transparent:focus {
        box-shadow: none !important;
        border: none !important;
    }

/* BUTTONS END */

/* FORM DESIGNER START */

.designer-control {
    padding: 2px 4px;
    width: 100%;
}

.designer-control-selected {
    border: 2px solid var(--collection_item_selected);
}

.form-preview-container {
    height: 100%;
    margin: 18px;
    padding: 8px;
    border: 2px solid rgba(0, 0, 0, 0.08);
    border-radius: 15px;
/*    box-shadow: 0 2px 3px var(--form-preview-container-first), 0 4px 16px var(--form-preview-container-second);*/
    box-shadow: 0 2px 3px rgba(0, 0, 0, 0.04), 0 4px 16px rgba(0, 0, 0, 0.12);
}

.designer-control-label-inline {
    min-width: 180px !important;
    align-self: center;
}

/* TabStrip */
/*.k-tabstrip-content.k-active, .k-tabstrip > .k-content.k-active,
.k-tabstrip-top > .k-tabstrip-items-wrapper .k-item.k-active,
.k-tabstrip-items-wrapper.k-hstack,
.k-tabstrip-item .k-item:focus-visible {
    background: var(--collection_background) !important;
    color: var(--collection_text) !important;
    border-color: var(--groupbox_inner_border);
}

.k-tabstrip-items-wrapper .k-item:active {
    background-color: transparent !important;
}

.form-preview-title {
    background: var(--collection_background) !important;
    color: var(--input_text) !important;
}*/
/* TabStrip End */

/* Wizard Start */
/*.k-stepper
.k-step:not(.k-step-current):not(.k-step-done)
.k-step-indicator {
    border-color: #ccc !important;
    color: var(--input_text) !important;
    background-color: var(--input_background) !important;
}

.k-stepper .k-step .k-step-label,
.k-stepper .k-step .k-step-link:hover .k-step-label,
.k-stepper .k-step.k-step-done .k-step-label,
.k-stepper .k-step.k-step-disabled .k-step-label {
    color: var(--input_text) !important;
}

.k-stepper .k-step.k-step-disabled .k-step-label {
    color: color-mix(in srgb, var(--input_text) 60%, transparent) !important;
}

.k-stepper
.k-step:not(.k-step-current):not(.k-step-done)
.k-step-link:hover
.k-step-indicator::before,
.k-stepper
.k-step.k-hover:not(.k-step-current):not(.k-step-done)
.k-step-indicator::before {
    background-color: var(--wizard-step-hover) !important;
}

.k-progressbar {
    background-color: var(--groupbox_inner_border) !important;
}*/
/* Wizard End */

/* FORM DESIGNER END */

/* ENGINE CONFIGURATION START */

.engine-item {
    width: 98% !important;
    display: inline-block !important;
    vertical-align: middle;
}

/* ENGINE CONFIGURATION END */

/* DARK MODE START */

.k-splitter, .k-splitbar, .k-grid, .k-grid-content, .k-grid-table, .item-collection-data-container,
.tab-control-container, .tab, .mydiv, .panel, .k-listview {
    background: var(--collection_background) !important;
    color: var(--collection_text) !important;
}
/*
.k-popup, .k-menu-group, .k-menu.k-context-menu, .k-list, .k-switch-track, .k-calendar
{
    background: var(--input_background) !important;
    color: var(--input_text) !important;
}

.k-grid-header, .k-toolbar, .k-treeview-item,
.popover_common, .k-window-content,
.k-actions-end, .k-editor-content,
.k-splitbar.k-splitbar-vertical.k-splitbar-draggable-vertical,
.k-splitbar.k-splitbar-horizontal.k-splitbar-draggable-horizontal {
    background: var(--collection_background) !important;
    color: var(--collection_text) !important;
}*/

/* Buttons */
/*.k-button:not(.action-menu-item):not(.transparent-button):not(.k-button-flat):not(.header-button):not(.my-on-class):not(.transparent-regular-button):not(.the-off-class),
.k-button .footer-buttons, .k-button .the-off-class,
.file-upload-container, .k-toolbar .k-dropdownlist,
.k-toolbar .k-colorpicker,
.advanced-control{
    background: var(--button_background) !important;
    color: var(--button_text_color) !important;
    border-color: var(--button_border_color) !important;
}

.k-toolbar-button {
    background-color: var(--kendo-color-base, #f5f5f5) !important;
    border-color: var(--kendo-color-border, rgba(0, 0, 0, 0.08)) !important;
}

.k-button:not(.action-menu-item):not(.transparent-button):not(.k-button-flat):not(.header-button):not(.my-on-class):not(.transparent-regular-button):not(.the-off-class):hover,
.k-button.footer-buttons:hover, .k-toolbar .k-dropdownlist:hover {
    background: var(--button_hover_background) !important;
}
.k-button:not(.action-menu-item):not(.transparent-button):hover, .k-button.footer-buttons:hover {
    background: var(--button_hover_background) !important;
}*/
/* Buttons end */
/*.k-grid-header .k-table-th.k-grid-header-sticky,
.k-grid-header .k-table-th,
.k-window-titlebar {
    background: var(--grid_header_background) !important;
    color: var(--button_text_color) !important;
}

.k-table-td.k-grid-content-sticky,
.grid-appearance th.k-header {
    background-color: transparent !important;
}
.k-grid .k-grid-content  .k-table-row.k-table-alt-row {
    background-color: color-mix(in srgb, var(--table_row_background) 5%, transparent) !important;
}

.k-treeview-leaf:hover, .k-list-item:hover {
    background: var(--button_hover_background) !important;
    color: var(--collection_text) !important;
}

.expansion-panel {
    border: solid 1px var(--groupbox_inner_border);
}*/

/* Context menu */
/*.k-menu.k-context-menu .k-item:not(.k-selected):not(.k-active) > .k-link:hover,
.k-menu.k-context-menu .k-item.k-hover:not(.k-selected):not(.k-active) > .k-link,
.k-item:not(.k-selected):not(.k-active) > .k-link:hover,
.k-item.k-hover:not(.k-selected):not(.k-active) > .k-link {
    background-color: var(--context-menu-background-hover);
    color: var(--input_text);
}*/
/* Context Menu End */

/* Module Setup */
/*.module-details-pane {
    background-color: var(--module-details-pane) !important;
    color: var(--collection_text);
    border-left: 2px solid var(--module-details-border) !important;
}

.json-box {
    color: var(--collection_text);
}

.k-chip {
    background-color: var(--k-chip-background) !important;
    color: var(--k-chip-text) !important;
    border-color: var(--k-chip_border_color) !important;
}

.module-setup .k-pager {
    border-color: var(--input_border_color);
    color: var(--input_text);
    background-color: var(--grid_header_background);
}*/
/* Module Setup End */


/* DARK MODE END */
#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

#blazor-error-ui .dismiss {
    cursor: pointer;
    position: absolute;
    right: 0.75rem;
    top: 0.5rem;
}

::-webkit-scrollbar {
    width: 5px;
    height: 5px;
}

#appContainer ::-webkit-scrollbar {
    width: 6px !important;
    height: 6px !important;
}

::-webkit-scrollbar-track {
    border-radius: 6px;
    background: rgba(0,0,0,0.1);
}

::-webkit-scrollbar-thumb {
    border-radius: 5px;
    background: rgba(0,0,0,0.2);
}

    ::-webkit-scrollbar-thumb:hover {
        background: rgba(0,0,0,0.2);
    }


.advanced-control {
    width: 27px;
    height: 28px;
    text-align: center;
    align-content: center;
    border: 1px solid rgba(0, 0, 0, 0.08);
    border-radius: 4px;
    cursor: pointer;
    background-color: var(--primary_color) !important;
    color: var(--primary_text_color);
    background-image: none;
    margin: 0px 2px 2px 0px;
}

    .advanced-control:hover {
        border-color: rgba(0, 0, 0, 0.16);
    }


.participant-icon {
    width: 16px;
    text-align: center;
}

.tree-node-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 20px;
}

.tree-node {
    width: 100px;
    height: 100px;
    background: white;
    border: 2px solid #000;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 14px;
    font-weight: bold;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
}

.tree-children {
    display: flex;
    gap: 20px;
    margin-top: 20px;
}
